Package org.eclipse.emf.cdo.lm.reviews

# Interface ReviewTemplate

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `Commentable`, `EObject`, `ModelElement`, `Notifier`, `SystemElement`

All Known Implementing Classes:
  `ReviewTemplateImpl`

public interface ReviewTemplate extends Commentable
A representation of the model object 'Review Template'.

See Also:
  - `ReviewsPackage.getReviewTemplate()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Reviewers`
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`EList<String>`
`getReviewers()`
Returns the value of the 'Reviewers' attribute list.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.Commentable

`getCommentCount, getComments, getResolvedCount, getReview, getUnresolvedCount`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Method Details

### getReviewers

EList<String> getReviewers()
Returns the value of the 'Reviewers' attribute list. The list contents are of type `String`.

Returns:
  the value of the 'Reviewers' attribute list.
See Also:
  - `ReviewsPackage.getReviewTemplate_Reviewers()`
Generated
Model